//  {{ module_info.name }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

import UIKit


protocol {{ module_info.name }}ViewProtocol: BaseViewProtocol {}

class {{ module_info.name }}ViewController: BaseViewController, {{module_info.name}}ViewProtocol {

    private let presenter: {{ module_info.name }}Presenter = {{ module_info.name }}Presenter()

    override func viewDidLoad() {
        super.viewDidLoad()
        presenter.setupView(self)
        presenter.viewLoaded()
    }

    func updateUi() {
    }

}